package org.springblade.modules.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.system.entity.VisualSubscribeNotifyConf;
import org.springblade.modules.system.enums.NotifyType;

import java.util.List;

public interface VisualSubscribeNotifyConfService extends IService<VisualSubscribeNotifyConf> {

    List<VisualSubscribeNotifyConf> notifyConfList(NotifyType notifyType);

    boolean evict(NotifyType notifyType);

    List<VisualSubscribeNotifyConf> getList(int classify);
}
